=== debian/changelog ===
spm8 (8.4290~dfsg.1-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 14 Apr 2011 16:48:12 -0400

spm8 (8.4290~dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Thu, 14 Apr 2011 14:52:21 -0400

spm8 (8.4010~dfsg.1-4) unstable; urgency=low

  * Modifications to address changes in the matlab-support package (formerly
    known as 'matlab').

 -- Michael Hanke <mih@debian.org>  Wed, 05 Jan 2011 10:26:37 -0500

spm8 (8.4010~dfsg.1-3) unstable; urgency=low

  * Build all SPM toolbox extensions (still missing external fieldtrip
    toolbox). Drop extension Makefile patch. Thanks to Guillaume Flandin for
    all the advise.
  * Improve documentation (e.g. mention missing parts in the manual).
  * Change package description of spm8-common to not promise
    Octave-compatibility where there is not much (yet). Thanks to Marco
    Tettamanti for pointing it out.
  * Build-depend on matlab-dev to get the installation locations of Matlab
    toolboxes.
  * Complete and verify current build-dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 27 Nov 2010 12:26:34 -0500

spm8 (8.4010~dfsg.1-2) unstable; urgency=low

  * Improve Debian-related documentation.
  * Add 'spm8-matlab' command to /usr/bin.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 23 Nov 2010 09:22:24 -0500

spm8 (8.4010~dfsg.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #592390).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 03 Aug 2010 21:04:00 -0400
