=== debian/changelog ===
spm8 (8.4667~dfsg.1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 01 Mar 2012 14:39:35 -0500

spm8 (8.4667~dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Wed, 29 Feb 2012 18:12:36 +0100
