=== debian/changelog ===
spm8 (8.5236~dfsg.1-1~nd70+1+nd90+1+nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.

 -- unamed <unknown>  Wed, 02 Nov 2016 07:08:56 -0400

spm8 (8.5236~dfsg.1-1~nd70+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 29 Jun 2015 11:52:22 -0400

spm8 (8.5236~dfsg.1-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Fri, 01 Mar 2013 14:17:20 +0100

spm8 (8.5236~dfsg.1-1) unreleased; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Tue, 26 Feb 2013 12:05:40 +0100
