=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: spm8
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), matlab-support-dev, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended
